Bug 1130631 - [abrt] systemd: log_assert_failed(): systemd-logind killed by SIGABRT
Summary: [abrt] systemd: log_assert_failed(): systemd-logind killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:22c90f8d5386add2faa81518dee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 17:49 UTC by Lukas Slebodnik
Modified: 2015-06-29 22:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:05:17 UTC


Attachments (Terms of Use)
File: backtrace (13.30 KB, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: cgroup (208 bytes, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: core_backtrace (3.45 KB, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: dso_list (1.52 KB, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: environ (148 bytes, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-15 17:49 UTC, Lukas Slebodnik
no flags Details
File: maps (5.62 KB, text/plain)
2014-08-15 17:50 UTC, Lukas Slebodnik
no flags Details
File: open_fds (2.02 KB, text/plain)
2014-08-15 17:50 UTC, Lukas Slebodnik
no flags Details
File: proc_pid_status (912 bytes, text/plain)
2014-08-15 17:50 UTC, Lukas Slebodnik
no flags Details
File: var_log_messages (9.90 KB, text/plain)
2014-08-15 17:50 UTC, Lukas Slebodnik
no flags Details

Description Lukas Slebodnik 2014-08-15 17:49:48 UTC
Description of problem:
upgrade from fedora 20 to fedora 21

Version-Release number of selected component:
systemd-208-21.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd-logind
crash_function: log_assert_failed
executable:     /usr/lib/systemd/systemd-logind
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 log_assert_failed
 #3 session_start
 #4 method_create_session.lto_priv
 #5 object_find_and_run.lto_priv
 #6 bus_process_internal.constprop
 #7 io_callback
 #8 source_dispatch
 #9 sd_event_run

Comment 1 Lukas Slebodnik 2014-08-15 17:49:52 UTC
Created attachment 927193 [details]
File: backtrace

Comment 2 Lukas Slebodnik 2014-08-15 17:49:53 UTC
Created attachment 927194 [details]
File: cgroup

Comment 3 Lukas Slebodnik 2014-08-15 17:49:54 UTC
Created attachment 927195 [details]
File: core_backtrace

Comment 4 Lukas Slebodnik 2014-08-15 17:49:56 UTC
Created attachment 927196 [details]
File: dso_list

Comment 5 Lukas Slebodnik 2014-08-15 17:49:57 UTC
Created attachment 927197 [details]
File: environ

Comment 6 Lukas Slebodnik 2014-08-15 17:49:58 UTC
Created attachment 927198 [details]
File: limits

Comment 7 Lukas Slebodnik 2014-08-15 17:50:00 UTC
Created attachment 927199 [details]
File: maps

Comment 8 Lukas Slebodnik 2014-08-15 17:50:01 UTC
Created attachment 927200 [details]
File: open_fds

Comment 9 Lukas Slebodnik 2014-08-15 17:50:02 UTC
Created attachment 927201 [details]
File: proc_pid_status

Comment 10 Lukas Slebodnik 2014-08-15 17:50:04 UTC
Created attachment 927202 [details]
File: var_log_messages

Comment 11 Lukas Slebodnik 2014-10-06 19:46:10 UTC
Marcel,
you added your mail to the CC.
Do you have a coredump? I forgot to attach my coredump to this ticket an it is already removed.

Comment 12 Marcel Wysocki 2014-10-07 09:23:27 UTC
Lukas,

sorry I already removed the abrt folder.
But yes, this happened during an update using yum from f20 to f21 so it should be reproducable in a VM.
But I guess that is not the supported way to upgrade anyway, even tho in my experience it always worked better than fedup

Comment 13 Lukas Slebodnik 2014-10-15 13:15:25 UTC
Adam,
you added your mail to the CC.
Do you have a coredump? I forgot to attach my coredump to this ticket and mine coredump is already removed.

Comment 14 Adam Goode 2014-10-15 13:26:23 UTC
Sorry, I think mine is lost as well. But I also did a f20->f21 upgrade with yum so perhaps that is the problem.

Comment 15 Fedora End Of Life 2015-05-29 12:38:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 22:05:17 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.